﻿/* popover accessibility and print */
@media print {
    .course-description-popover-content {
        display: block;
    }
}

@media screen {
    .course-description-popover-content {
        position: absolute;
        width: 1px;
        height: 1px;
        padding: 0;
        margin: -1px;
        overflow: hidden;
        clip: rect(0,0,0,0);
        border: 0;
    }
    /* popover design */
    .course-description .popover-title {
        display: none;
    }

    .course-description .popover-content p {
        margin-bottom: 0;
    }

        .course-description .popover-content p ~ p {
            border-top: 1px solid #eee;
            padding-top: 10px;
            margin-top: 10px;
        }

    .course-description .popover.top > .arrow {
        border-top-color: rgba(179, 222, 255, 1);
    }

        .course-description .popover.top > .arrow:after { /* rtl bug fix... */
            margin-right: auto;
            margin-left: -10px;
        }

    .course-description .popover {
        font-family: 'OpenSansHebrew', Tahoma, Helvetica, sans-serif;
        border-color: rgba(179, 222, 255, .5);
        -webkit-box-shadow: 0px 1px 10px rgba(179, 222, 255, .6);
        box-shadow: 0px 1px 10px rgba(179, 222, 255, .6);
    }

        .course-description .popover.top {
            margin-top: -15px;
        }
}

/* print fixes */
@media print {
    .course-description {
        width: 116%;
    }

    .visible-print.visible-print-inline {
        display: inline-block;
    }

    :before, :after {
        background-color: inherit !important;
    }

    .course-description .third-group {
        border: 1px solid #ddd;
    }

    .course-description .first-group, .course-description .first-group .table-d-flex-row-data {
        border: 1px solid #ddd;
    }

    .table-d-flex-row-divider {
        border-top-width: 1px !important;
    }
}

.course-description {
    margin-top: 20px;
    margin-bottom: 20px;
}

    .course-description h3 {
        margin-top: 30px;
        font-size: 20px;
        color: #262626;
        padding-right: 10px;
        border-right: 3px solid #2364DB;
        padding-top: 4px;
        padding-bottom: 4px;
    }

    .course-description h6 {
        font-size: 18px;
        margin-top: 15px;
        margin-bottom: 25px;
    }

    .course-description .important-notice {
        background-color: rgba(255, 252, 235, .35);
        border: 1px solid #f7c190;
        padding: 8px 0 8px 8px;
        border-radius: 3px;
        margin-bottom: 25px;
        margin-top: 20px;
    }

        .course-description .important-notice span {
            padding: 8px 10px 9px 8px;
            background-color: #FFFAEB;
            margin-left: 10px;
        }

        .course-description .important-notice i {
            color: #f08120;
            font-size: 1.6em;
            line-height: 0;
            display: inline-block;
            transform: rotate(15deg);
        }

            .course-description .important-notice i:before {
                vertical-align: middle;
                line-height: 0;
            }

        .course-description .important-notice p {
            display: inline;
        }

    .course-description h5 {
        font-weight: 600;
        margin-top: 20px;
        font-size: 16px;
    }

    .course-description .top-links {
        margin-right: -15px;
        margin-bottom: 0;
    }

        .course-description .top-links li {
            margin-left: 10px;
        }

        .course-description .yedion-icon i, .course-description .top-links i {
            font-size: 1.4em;
            line-height: 0;
            margin-left: 5px;
        }

    .course-description .yedion-icon i {
        margin-left: 10px;
    }

        .course-description .yedion-icon i:before, .course-description .top-links i:before {
            vertical-align: middle;
        }

    .course-description .top-links li i:not(.icon-append) {
        border-radius: 50%;
        padding-top: 4px;
        display: inline-block;
        width: 30px;
        height: 30px;
        text-align: center;
        transition: background-color .2s, box-shadow .2s;
    }

    .course-description .top-links li:hover i:not(.icon-append) {
        background-color: #2364DB;
        color: #fff;
        box-shadow: 0px 3px 6px #BBCAD4;
    }

    .course-description .top-links li a:hover, .course-description .top-links li a:focus {
        text-decoration: none;
    }

    .course-description .yedion-icon i, .course-description .top-links fieldset {
        display: inline-block;
    }

    .course-description .top-links fieldset {
        margin-right: 2px;
    }

        .course-description .top-links fieldset .form-group {
            position: relative;
            margin-bottom: 0;
        }

            .course-description .top-links fieldset .form-group select {
                height: 30px;
                padding-top: 4px;
                background-image: url(../global/images/webparts/ARROW-library.svg);
                background-repeat: no-repeat;
                -webkit-appearance: none;
                appearance: none;
                background-size: 13px;
                background-position: 13px 11px;
                padding-left: 45px;
                border-radius: 30px;
            }

        .course-description .top-links fieldset .icon-append {
            position: absolute;
            top: 1px;
            height: 28px;
            left: 32px;
            border-left: 1px solid rgba(109, 109, 109, 0.2);
        }

    .course-description .print-icon {
        font-size: 1.4em;
    }

    /* remarks-icon */
    .course-description a.remarks-icon {
        display: inline-block;
        font-size: 1.5em;
        line-height: 0;
        color: #002C7D;
        background-color: #E5F2FF;
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        border-radius: 50%;
        text-decoration: none;
        -webkit-transform: translate(-1px, -3px);
        transform: translate(-1px, -3px);
    }

    .course-description h5 a.remarks-icon {
        font-size: 1.6em;
    }

    .course-description a.remarks-icon:before {
        line-height: .7;
        width: 17px;
        height: 16px;
        text-align: center;
    }

    .course-description h3 a.remarks-icon:before {
        line-height: .5;
    }

    .course-description h2 a.remarks-icon {
        font-size: 1.1em;
        line-height: .4;
    }

        .course-description h2 a.remarks-icon::before {
            line-height: .6;
            width: 20px;
            height: 20px;
        }

@media (max-width: 767px) {
    .course-description a.remarks-icon {
        font-size: 1.6em;
    }
}

.course-description a.remarks-icon:focus {
    outline: none;
    color: #E5F2FF;
    background-color: #002C7D;
}
/* remarks-icon */

.course-description ul.discipline-list {
    padding-right: 15px;
    margin-bottom: 0;
}

.course-description .discipline-list li {
    line-height: 2;
}

    .course-description .discipline-list li::marker {
        font-size: .8em;
        color: #525252;
    }

.course-description .info {
    padding: 10px;
    background-color: #f5f5f5;
    border: 1px solid #e1e1e1;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
}

    .course-description .info p {
        margin-bottom: 0;
    }

/* fix for ltr lists */
.course-description ul:has([dir="ltr"]), .course-description ol:has([dir="ltr"]) {
    direction: ltr;
}
